sip
Update Sip Trunk
Update SIP trunk.
PUT
/
sip
/
tenants
/
{tenant_id}
/
sip-trunks
/
{trunk_id}
Update Sip Trunk
curl --request PUT \
--url https://api.example.com/sip/tenants/{tenant_id}/sip-trunks/{trunk_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone_numbers": [
"<string>"
],
"auth_username": "<string>",
"auth_password": "<string>",
"provider_config": {},
"status": "<string>"
}
'import requests
url = "https://api.example.com/sip/tenants/{tenant_id}/sip-trunks/{trunk_id}"
payload = {
"name": "<string>",
"phone_numbers": ["<string>"],
"auth_username": "<string>",
"auth_password": "<string>",
"provider_config": {},
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone_numbers: ['<string>'],
auth_username: '<string>',
auth_password: '<string>',
provider_config: {},
status: '<string>'
})
};
fetch('https://api.example.com/sip/tenants/{tenant_id}/sip-trunks/{trunk_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"trunk_type": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sip_uri": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"phone_numbers": [
"<string>"
],
"provider": "<string>",
"livekit_trunk_id": "<string>",
"dispatch_rule_id": "<string>",
"last_health_check": "2023-11-07T05:31:56Z",
"metadata": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
SIP trunk response model.
Required string length:
1 - 255Pattern:
^(inbound|outbound)$⌘I
Update Sip Trunk
